## org.omg.PortableServer
Class ServantActivatorHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantActivatorHelper

public class ServantActivatorHelper
extends java.lang.Object

Helper class for : ServantActivator

Author:
  OpenORB Compiler

Constructor Summary
`ServantActivatorHelper()`

Method Summary
`static ServantActivator` `extract(Any a)` Extract ServantActivator from an any
`static java.lang.String` `id()` Return the ServantActivator IDL ID
`static void` `insert(Any a, ServantActivator t)` Insert ServantActivator into an any
`static ServantActivator` `narrow(Object obj)` Narrow CORBA::Object to ServantActivator
`static ServantActivator` `read(InputStream istream)` Read ServantActivator from a marshalled stream
`static TypeCode` `type()` Return the ServantActivator TypeCode
`static ServantActivator` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ServantActivator
`static void` `write(OutputStream ostream, ServantActivator value)` Write ServantActivator into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantActivatorHelper

    public ServantActivatorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantActivator t)

  Insert ServantActivator into an any
  Parameters:
    `a` - an any
    `t` - ServantActivator value

### extract

    public static ServantActivator extract(Any a)

  Extract ServantActivator from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantActivator value

### type

    public static TypeCode type()

  Return the ServantActivator TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantActivator IDL ID
  Returns:
    an ID

### read

    public static ServantActivator read(InputStream istream)

  Read ServantActivator from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantActivator value

### write

    public static void write(OutputStream ostream,
                             ServantActivator value)

  Write ServantActivator into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantActivator value

### narrow

    public static ServantActivator narrow(Object obj)

  Narrow CORBA::Object to ServantActivator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantActivator Object

### unchecked_narrow

    public static ServantActivator unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ServantActivator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantActivator Object